> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification preferences

> Replaces your set of muted event types with the supplied list. Any unknown or non-notifiable types are dropped, and the response returns the muted types that were actually stored.



## OpenAPI

````yaml /api-reference/webhooks.yaml patch /notifications/preferences
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /notifications/preferences:
    patch:
      tags:
        - Notifications
      summary: Update notification preferences
      description: >-
        Replaces your set of muted event types with the supplied list. Any
        unknown or non-notifiable types are dropped, and the response returns
        the muted types that were actually stored.
      operationId: updateNotificationPreferences
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                mutedTypes:
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 256
                  maxItems: 200
                  example:
                    - workflow.run.running
                    - task.run.running
              required:
                - mutedTypes
      responses:
        '200':
          description: Stored muted event types (unknown/non-notifiable types dropped)
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      mutedTypes:
                        type: array
                        items:
                          type: string
                          minLength: 1
                          maxLength: 256
                        maxItems: 200
                        example:
                          - workflow.run.running
                          - task.run.running
                    required:
                      - mutedTypes
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````